Share via


Defender For AI Settings - List

Lists the Defender for AI settings.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/defenderForAISettings?api-version=2025-06-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 2
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

The name of Cognitive Services account.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DefenderForAISettingResult

OK -- List the defender setting name successfully.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Examples

ListDefenderForAISetting

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/defenderForAISettings?api-version=2025-06-01

Sample response

{
  "value": [
    {
      "name": "Default",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/defenderForAISettings/Default",
      "type": "Microsoft.CognitiveServices/accounts/defenderForAISettings",
      "properties": {
        "state": "Enabled"
      },
      "systemData": {
        "createdBy": "xxx@microsoft.com",
        "createdByType": "User",
        "createdAt": "2022-04-03T04:41:33.937Z",
        "lastModifiedBy": "xxx@microsoft.com",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2022-04-03T04:41:33.937Z"
      },
      "etag": "\"00000000-0000-0000-0000-000000000000\""
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefenderForAISetting

The Defender for AI resource.

DefenderForAISettingResult

The list of cognitive services Defender for AI Settings.

DefenderForAISettingState

Defender for AI state on the AI resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefenderForAISetting

The Defender for AI resource.

Name Type Description
etag

string

Resource Etag.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.state

DefenderForAISettingState

Defender for AI state on the AI resource.

systemData

systemData

Metadata pertaining to creation and last modification of the resource.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DefenderForAISettingResult

The list of cognitive services Defender for AI Settings.

Name Type Description
nextLink

string

The link used to get the next page of Defender for AI Settings.

value

DefenderForAISetting[]

The list of Defender for AI Settings.

DefenderForAISettingState

Defender for AI state on the AI resource.

Value Description
Disabled
Enabled

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.